<?php

use Storage\Session;

use Taxus\{ Privilege, Taxus, PermissionGrantInterface, DefaultPermissionGrant };

use Psr\Http\Message\ServerRequestInterface;

use function DI\autowire, DI\create, DI\get;

return [
    Taxus::class => function ($c) {
        return ( new Taxus( $c->get(PermissionGrantInterface::class) ) )->add(
            $c->get(Lean\Lean::class)->getTaxusPrivileges()
        );
    },

    PermissionGrantInterface::class => create(%NAMESPACE%\PrivilegeGrantAccess::class)->constructor(get(ServerRequestInterface::class), get(Session::class)),
];
